headless lms

Your direct chat with a person

GET /api/member/communities/{communityId}/chats/direct/{orgUserId}. Your direct chat with a person. Headless LMS Chats API reference.

GET
/api/member/communities/{communityId}/chats/direct/{orgUserId}

Any active member of the organization. For a member of the community. Your direct chat with the person while you are in it; 404 when there is none.

Path Parameters

communityId*string
orgUserId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/member/communities/string/chats/direct/string"
{  "chat": {    "orgId": "string",    "id": "string",    "communityId": "string",    "kind": "direct",    "status": "pending",    "createdBy": "string",    "lockedAt": "2019-08-24T14:15:22Z",    "lockedBy": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "participantIds": [    "string"  ],  "participants": [    {      "id": "string",      "firstName": "string",      "lastName": "string",      "displayName": "string",      "headline": "string",      "image": "string",      "imageAssetId": "string",      "imageUrl": "string",      "team": true,      "roleName": "string"    }  ],  "lastReadMessageId": "string",  "subscription": {    "state": "following",    "mutedUntil": "2019-08-24T14:15:22Z"  },  "unread": -9007199254740991,  "lastMessage": {    "id": "string",    "orgUserId": "string",    "body": "string",    "createdAt": "2019-08-24T14:15:22Z",    "deletedAt": "2019-08-24T14:15:22Z"  }}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}